5 min read

Ec-Lab older version

Latest updated: May 12, 2020

EC-Lab® old versions for:

  • The instruments VMP1 & MPG1, EPP-400, EPP-4000 & Bistat are not supported by the latest version. Please use the V10.37
  • For first VMP2 units with a limited board memory – until S/N 0060. Please use the V10.12

Related files

EC-Lab v10.12

You cannot access this resource because you are not logged in. Log in

EC-Lab v10.37

You cannot access this resource because you are not logged in. Log in

Related products